library(ape)
read.tree("mean_tree.tre")->tree
read.tree("mean_tree_rate.tre")->tree.rate
read.tree("tree_label.tre")->tree.label
  ##### mean_tree.tre, mean_tree_rate.tre, tree_label.tre #####
  ##### were made by copy/paste from output file          #####
  ##### desaturase_rate_time_out.txt                      #####
  #############################################################

names(tree)
tree$edge
tree$tip.label

rate0 <- tree.rate$edge.length

rel_rate <- rate0/max(rate0)
edge.colors <- rgb(rel_rate,0,1-rel_rate)
plot(tree,edge.color=edge.colors,edge.width=3,
     show.node.label=TRUE)
axisPhylo(side = 1)

plot(tree.label,edge.width=3,show.node.label=TRUE)

######## Comparing rate(Z9-16), rate(Z9-18), and rate(Z10/11) ###########
read.table("mcmc.txt",header=T)->data0
names(data0)

branches1 <- c(1:5,21:23)
branches2 <- c(6:8,25)
branches3 <- c(9:15,27:31)

b1_label <- paste("r_n",branches1,sep="")
b2_label <- paste("r_n",branches2,sep="")
b3_label <- paste("r_n",branches3,sep="")

b1.mean <- apply(data0[,b1_label],1,mean)
b2.mean <- apply(data0[,b2_label],1,mean)
b3.mean <- apply(data0[,b3_label],1,mean)

par(mfcol=c(1,2))
hist(b1.mean/b2.mean,main="",probability=T,col="blue",
   xlab="rate(Z9_18)/rate(Z9_16)")
hist(b3.mean/b2.mean,main="",probability=T,col="blue",
   xlab="rate(Z10/11)/rate(Z9_16)")
par(mfcol=c(1,1))

mean(b1.mean/b2.mean>1)
mean(b3.mean/b2.mean>1)
mean(b1.mean/b2.mean>1 & b3.mean/b2.mean>1)
